<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="description" content="Service Usage" />
  <title>Service Usage</title>
</head>

<body>
  <h1>How can I use the service?</h1>
  <div>
    <ul>
      <li>
        <p>For using the service you will just need to go to a Netbox where this service is installed on and search for
          the following:</p>
        <p><b>hostname:1882</b></p>
      </li>
      <li>
        <p>There, you will click the hyperlink at the bottom saying</p>
        <p><b>Service usage and console</b></p>
      </li>
      <li>
        <p>Once you are in, you will see a smithy file that allows you to interact with any of the given operations.</p>
      </li>
      <li>
        <p>Take into account the following considerations:</p>
        <p><b>Get IS Bubble operation:</b></p>
        <p>To get the location of the IS bubble, you need to authenticate yourself using a user and its password as it
          appears on the Contact data model of the Organization section on Netbox. In addition to that, the user must
          have assigned the same tenant as the IS Bubble.</p>
        <p>Possible HTTP response codes:</p>
        <ul>
          <li>200 OK --> Everything went well, gateway galaxy url is retrieved.</li>
          <li>401 Unauthorized --> If the user exists but the tenant the user is assigned to, does not match with the
            tenant of the IS bubble.</li>
          <li>404 Not Found --> If the user has not been found / The customer reference has not been found on the
            existing bubbles / IS Bubble exists but does not have a URL to retrieve</li>
        </ul>
        <p><b>Create User operation:</b></p>
        <p>We added this operation in our latest update, so people with the admin token can create users under the
          Contact data model that will be used to retrieve the IS Bubble locations</p>
        <p>Possible HTTP response codes:</p>
        <ul>
          <li>204 Created --> The user is created sucessfully.</li>
          <li>400 Bad Request --> If any of the above situations do not happen</li>
          <li>401 Unauthorized --> Admin token introduced does not match with the NETBOX_API_TOKEN environment variables
            value.</li>
          <li>404 Not Found --> If the tenant we assign to the user has not been found</li>
          <li>409 Conflict --> If the user already exists</li>
          
        </ul>

        <p><b>Update User operation:</b></p>
        <p>Authenticating as an admin using the token authentication, you will be able to add existing tenants to an
          existing user.</p>
        <p>Possible HTTP response codes:</p>
        <ul>
          <li>201 --> The user is updated sucessfully.</li>
          <li>400 Bad Request --> If any of the situations described on the status codes do not happen</li>
          <li>401 Unauthorized --> Admin token introduced does not match with the NETBOX_API_TOKEN environment variables
            value.</li>
          <li>404 Not Found --> If the tenant we assign to the user has not been found</li>
          <li>409 Conflict --> If the tenant we assign to the user is already assigned</li>
          
        </ul>
      </li>
    </ul>

  </div>
</body>

</html>